airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Van Boxel (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-21) Upgrade GCP libraries to latest
Date Sun, 01 May 2016 08:25:12 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-21?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15265677#comment-15265677
] 

Alex Van Boxel commented on AIRFLOW-21:
---------------------------------------

I tried to support the old P12 as well but I think it's broken on GCP itself. If I request
cloud scope it says it's not a valid scope. Removing it says "Request had insufficient authentication
scopes" . I'm going to give an explicit error when using a p12 key.

> Upgrade GCP libraries to latest
> -------------------------------
>
>                 Key: AIRFLOW-21
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-21
>             Project: Apache Airflow
>          Issue Type: Improvement
>            Reporter: Chris Riccomini
>            Assignee: Alex Van Boxel
>              Labels: gcp
>
> We should upgrade the Google cloud platform libraries:
> oauth2client
> google-api-python-client
> To their latest publish versions. This will involve moving off of {{SignedJwtAssertionCredentials}},
as it was removed. I think we might need to use {{ServiceAccountCredentials}} instead. See
https://github.com/google/oauth2client/issues/401.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message